SUSE: 2022:508-1 suse/sles12sp4 Security Update | LinuxSecurity.com
SUSE Container Update Advisory: suse/sles12sp4
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:508-1
Container Tags        : suse/sles12sp4:26.435 , suse/sles12sp4:latest
Container Release     : 26.435
Severity              : important
Type                  : security
References            : 1081947 1082293 1084671 1085196 1106214 1122417 1125886 1135534
                        1135708 1151708 1168235 1168389 1169006 1172427 1174942 1175514
                        1175623 1178236 1178554 1178825 1188921 1194642 CVE-2021-37600
-----------------------------------------------------------------

The container suse/sles12sp4 was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:1105-1
Released:    Mon Apr  4 17:48:46 2022
Summary:     Security update for util-linux
Type:        security
Severity:    important
References:  1081947,1082293,1084671,1085196,1106214,1122417,1125886,1135534,1135708,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642,CVE-2021-37600
This update for util-linux fixes the following issues:

- Improve throughput and reduce clock sequence increments for high load situation with time based 
  version 1 uuids. (bsc#1194642)
- Prevent root owning of `/var/lib/libuuid/clock.txt`. (bsc#1194642)
- Warn if uuidd lock state is not usable. (bsc#1194642)
- Fix 'su -s' bash completion. (bsc#1172427)
- CVE-2021-37600: Fixed an integer overflow which could lead to buffer overflow in get_sem_elements. (bsc#1188921)
- Prevent outdated pam files (bsc#1082293, bsc#1081947#c68).
- Do not trim read-only volumes (bsc#1106214).
- libmount: To prevent incorrect behavior, recognize more pseudofs and netfs (bsc#1122417).
- raw.service: Add `RemainAfterExit=yes` (bsc#1135534).
- agetty: Reload issue only if it is really needed (bsc#1085196)
- agetty: Return previous response of agetty for special characters (bsc#1085196, bsc#1125886)
- blockdev: Do not fail `--report` on kpartx-style partitions on multipath. (bsc#1168235)
- nologin: Add support for `-c` to prevent error from `su -c`. (bsc#1151708)
- Avoid triggering autofs in lookup_umount_fs_by_statfs. (bsc#1168389)
- libblkid: Do not trigger CDROM autoclose. (bsc#1084671)
- Avoid sulogin failing on not existing or not functional console devices. (bsc#1175514)
- Build with libudev support to support non-root users. (bsc#1169006)
- lscpu: avoid segfault on PowerPC systems with valid hardware configurations. (bsc#1175623, bsc#1178554, bsc#1178825)
- Fix warning on mounts to CIFS with mount –a. (bsc#1174942)



The following package changes have been done:

- base-container-licenses-3.0-1.277 updated
- container-suseconnect-2.0.0-1.168 updated
- libblkid1-2.29.2-9.17.1 updated
- libfdisk1-2.29.2-9.17.1 updated
- libmount1-2.29.2-9.17.1 updated
- libsmartcols1-2.29.2-9.17.1 updated
- libuuid1-2.29.2-9.17.1 updated
- util-linux-2.29.2-9.17.1 updated
- libncurses6-5.9-75.1 removed

SUSE: 2022:508-1 suse/sles12sp4 Security Update

April 5, 2022
The container suse/sles12sp4 was updated

Summary

Advisory ID: SUSE-SU-2022:1105-1 Released: Mon Apr 4 17:48:46 2022 Summary: Security update for util-linux Type: security Severity: important

References

References : 1081947 1082293 1084671 1085196 1106214 1122417 1125886 1135534

1135708 1151708 1168235 1168389 1169006 1172427 1174942 1175514

1175623 1178236 1178554 1178825 1188921 1194642 CVE-2021-37600

1081947,1082293,1084671,1085196,1106214,1122417,1125886,1135534,1135708,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642,CVE-2021-37600

This update for util-linux fixes the following issues:

- Improve throughput and reduce clock sequence increments for high load situation with time based

version 1 uuids. (bsc#1194642)

- Prevent root owning of `/var/lib/libuuid/clock.txt`. (bsc#1194642)

- Warn if uuidd lock state is not usable. (bsc#1194642)

- Fix 'su -s' bash completion. (bsc#1172427)

- CVE-2021-37600: Fixed an integer overflow which could lead to buffer overflow in get_sem_elements. (bsc#1188921)

- Prevent outdated pam files (bsc#1082293, bsc#1081947#c68).

- Do not trim read-only volumes (bsc#1106214).

- libmount: To prevent incorrect behavior, recognize more pseudofs and netfs (bsc#1122417).

- raw.service: Add `RemainAfterExit=yes` (bsc#1135534).

- agetty: Reload issue only if it is really needed (bsc#1085196)

- agetty: Return previous response of agetty for special characters (bsc#1085196, bsc#1125886)

- blockdev: Do not fail `--report` on kpartx-style partitions on multipath. (bsc#1168235)

- nologin: Add support for `-c` to prevent error from `su -c`. (bsc#1151708)

- Avoid triggering autofs in lookup_umount_fs_by_statfs. (bsc#1168389)

- libblkid: Do not trigger CDROM autoclose. (bsc#1084671)

- Avoid sulogin failing on not existing or not functional console devices. (bsc#1175514)

- Build with libudev support to support non-root users. (bsc#1169006)

- lscpu: avoid segfault on PowerPC systems with valid hardware configurations. (bsc#1175623, bsc#1178554, bsc#1178825)

- Fix warning on mounts to CIFS with mount –a. (bsc#1174942)

The following package changes have been done:

- base-container-licenses-3.0-1.277 updated

- container-suseconnect-2.0.0-1.168 updated

- libblkid1-2.29.2-9.17.1 updated

- libfdisk1-2.29.2-9.17.1 updated

- libmount1-2.29.2-9.17.1 updated

- libsmartcols1-2.29.2-9.17.1 updated

- libuuid1-2.29.2-9.17.1 updated

- util-linux-2.29.2-9.17.1 updated

- libncurses6-5.9-75.1 removed

Severity
Container Advisory ID : SUSE-CU-2022:508-1
Container Tags : suse/sles12sp4:26.435 , suse/sles12sp4:latest
Container Release : 26.435
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.